---
title: "Get contact groups list by contact"
url: "https://docs.signnow.com/docs/contact-groups/operations/get-v2-crm-contacts-contact_id-groups"
type: "endpoint"
section: "contact-groups"
slug: "contact-groups/operations/get-v2-crm-contacts-contact_id-groups"
method: "GET"
path: "/v2/crm/contacts/{contact_id}/groups"
operation_id: "get-v2-crm-contacts-contact_id-groups"
authorization: "bearer"
---

# Get contact groups list by contact

`GET /v2/crm/contacts/{contact_id}/groups`

Allows users to retrieve the list of contact groups stored in the CRM.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `contact_id` | string | Yes | Contact ID. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `per_page` | string | No | How many search items to view per page. Allowed values: positive integers from 1 to 100. |
| `page` | string | No | How many pages to fit the results in. Allowed values: any positive integer starting from 1. |

## Responses

### 200

OK

**Example** (`Success`)

```json
{
  "data": [
    {
      "id": "8fXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "name": "My group",
      "created_at": 1672242682,
      "updated_at": 1672242682
    }
  ],
  "meta": {
    "pagination": {
      "count": 10,
      "links": {
        "next": "https://example.com/v2/crm/contacts/contact_id/groups?per_page=10&page=3",
        "previous": "https://example.com/v2/crm/contacts/contact_id/groups?per_page=10&page=1"
      },
      "total": 50,
      "per_page": 15,
      "total_pages": 5,
      "current_page": 2
    }
  }
}
```

### 400

* Request with any of these cases: invalid token of user, expired token of user, empty header, authorization = null, authorization without value
* Request with incorrect `per_page` parameter type
* Request with `per_page` less than 0
* Request with `per_page` more than 100
* Request with incorrect `page` parameter type
* Request with `page` less than 0


**Example** (`Authorization issues`)

```json
{
  "code": 1537,
  "message": "invalid_token"
}
```

**Example** (`Incorrect `page` parameter type`)

```json
{
  "code": 27400904,
  "message": "Query parameter `page` must be a digit"
}
```

**Example** (`Request with `page` less than 0`)

```json
{
  "code": 27400905,
  "message": "Query parameter `page` must be more than 0"
}
```

**Example** (`Incorrect `per_page` parameter type`)

```json
{
  "code": 27400901,
  "message": "Query parameter `per_page` must be a digit"
}
```

**Example** (`Request with `per_page` less than 0`)

```json
{
  "code": 27400902,
  "message": "Query parameter `per_page` must be more than 0"
}
```

**Example** (`Request with `per_page` more than 100`)

```json
{
  "code": 27400903,
  "message": "Query parameter `per_page` must be less than or equal 100"
}
```

### 404

Contact does not exist or does not belong to authorized user

**Example** (`Contact does not exist `)

```json
{
  "code": 27404001,
  "message": "Contact `contactUniqueId` not found"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/crm/contacts/{contact_id}/groups" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/contact-groups/operations/get-v2-crm-contacts-contact_id-groups*
